IM_BANDJOIN(3)

NAME
im_bandjoin, im_gbandjoin - join two or more images

SYNOPSIS
#include <vips/vips.h> int im_bandjoin(im1, im2, imout)
IMAGE *im1, *im2, *imout; int im_gbandjoin(imarray, imout, no)
IMAGE *imarray[], *imout;
int no;

DESCRIPTION
These function perform a band-wise join of two or more images. Input images should be of the same type and should have the same sizes. im_bandjoin() performs a band-wise join of two images. If the two images have n and m bands respectively, then the output image will have n+m bands, with the first n coming from the first image and the last m from the second. im_gbandjoin() performs a generalised band-wise join of no images. Input images can have any number of bands; for instance if imarray[0] has j bands, imarray[1] has k bands, ...., imarray[no-1] has z bands, output has j+k+...+z bands.

RETURN VALUE
The functions returns 0 on success and -1 on error.

SEE ALSO
im_lrjoin(3), im_lrmerge(3), im_insert(3).

COPYRIGHT
J. Cupitt, N. Dessipris

AUTHOR
J. Cupitt, N. Dessipris - 25/04/1991